package com.huimv.eartag2.admin.service;

import com.huimv.eartag2.admin.entity.BaseFarm;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.common.utils.Result;

import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zn
 * @since 2022-11-09
 */
public interface BaseFarmService extends IService<BaseFarm> {
    Result add(Map<String, String> mapList);

    Result remove(String id);

    Result update(Map<String, String> maps);

    Result list(Map<String,String> paramsMap);
}
